---
updatedAt: 2026-09-21T22:06:18.000Z
agentTools:
  siteIndex: https://docs.jwplayer.com/llms.txt
  projectIndex: https://docs.jwplayer.com/platform/llms.txt
---

# Bulk rename tags

Renames a tag across all associated media and playlist resources
The time to complete the tag renaming depends upon the number of associated media and playlists.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "servers": [
    {
      "url": "https://api.jwplayer.com"
    }
  ],
  "info": {
    "version": "0.2",
    "title": "Management API v2",
    "description": "Customer-facing management API. This file only includes documented routes."
  },
  "security": [
    {
      "v2ApiSecret": []
    }
  ],
  "x-explorer-enabled": true,
  "x-proxy-enabled": true,
  "x-samples-enabled": true,
  "x-samples-languages": [
    "python",
    "node",
    "ruby",
    "php",
    "go",
    "java",
    "csharp"
  ],
  "paths": {
    "/v2/sites/{site_id}/rename_tag/": {
      "put": {
        "summary": "Bulk rename tags",
        "description": "Renames a tag across all associated media and playlist resources\nThe time to complete the tag renaming depends upon the number of associated media and playlists.",
        "tags": [
          "tags"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/siteId"
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/RenameTagBody"
        },
        "responses": {
          "202": {
            "description": "Request accepted"
          },
          "400": {
            "$ref": "#/components/responses/400"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "siteId": {
        "name": "site_id",
        "description": "Unique alphanumeric ID of the site",
        "in": "path",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/ResourceId"
        }
      }
    },
    "schemas": {
      "ErrorResponse": {
        "type": "array",
        "description": "One or many errors indicating that something prevented the request from being performed successfully",
        "items": {
          "type": "object",
          "properties": {
            "code": {
              "description": "Short machine-readable identifier for the error",
              "type": "string",
              "example": "error_code"
            },
            "description": {
              "description": "Human-readable message explaining the error",
              "type": "string",
              "example": "Something went wrong."
            }
          }
        }
      },
      "ResourceId": {
        "description": "Unique identifier for a resource",
        "type": "string",
        "minLength": 8,
        "maxLength": 8,
        "example": "Ny05CEfj",
        "pattern": "^[A-Za-z0-9]+$"
      }
    },
    "securitySchemes": {
      "v2ApiSecret": {
        "description": "V2 API secret used for authentication",
        "type": "apiKey",
        "in": "header",
        "name": "Authorization"
      }
    },
    "requestBodies": {
      "RenameTagBody": {
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "original_tag": {
                  "type": "string",
                  "description": "Name of tag to be renamed. Limit of 128 characters in length."
                },
                "new_tag": {
                  "type": "string",
                  "description": "New name to apply to an existing tag\nThe `new_tag` will be applied to media and playlists with the original tag"
                }
              },
              "required": [
                "original_tag",
                "new_tag"
              ]
            }
          }
        }
      }
    },
    "responses": {
      "400": {
        "description": "Invalid JSON request body",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      }
    }
  }
}
```

# Sibling pages

* [Create a tag associated with a given site](https://docs.jwplayer.com/platform/reference/post_v2-sites-site-id-tags.md)
* [Bulk remove tags](https://docs.jwplayer.com/platform/reference/put_v2-sites-site-id-remove-tag.md)